Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.replicator
Class ReplicatorOutputPeerInfo

    java.lang.Object
      org.jboss.messaging.core.distributed.RemotePeerInfo
          org.jboss.messaging.core.distributed.replicator.ReplicatorOutputPeerInfo

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class ReplicatorOutputPeerInfo
extends RemotePeerInfo

Version:
  `$Revision: 1.1 $` $Id: ReplicatorOutputPeerInfo.java,v 1.1 2005/11/22 06:46:48 ovidiu Exp $
Author:
  Ovidiu Feodorov
See Also:
  `RemotePeerInfo`, Serialized Form

Field Summary

Fields inherited from class org.jboss.messaging.core.distributed.RemotePeerInfo
`peerIdentity`

Constructor Summary
`ReplicatorOutputPeerInfo()` For externalization.
`ReplicatorOutputPeerInfo(PeerIdentity peerIdentity)`

Method Summary
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class org.jboss.messaging.core.distributed.RemotePeerInfo
`getPeerIdentity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplicatorOutputPeerInfo

    public ReplicatorOutputPeerInfo()

  For externalization.

### ReplicatorOutputPeerInfo

    public ReplicatorOutputPeerInfo(PeerIdentity peerIdentity)

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `RemotePeerInfo`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `RemotePeerInfo`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.